Bug 1412807 - `hammer capsule update` with invalid url shows improper error message
Summary: `hammer capsule update` with invalid url shows improper error message
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 21:08 UTC by Andrew Kofink
Modified: 2019-08-12 15:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:43:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18186 None None None 2017-01-20 18:42:56 UTC

Description Andrew Kofink 2017-01-12 21:08:10 UTC
Description of problem:
The error message shows the capsule could not be updated, but the capsule is actually updated. This happens when the proxy features are not available (i.e. https://proxy.example.com:8000/features).

Version-Release number of selected component (if applicable):
6.2

How reproducible:
Always

Steps to Reproduce:
1. `hammer capsule update --id 1 --new-name "centos7-devel.example.com" --url "http://centos7-devel.example.com:8001"` # setting to port 8001 instead of 8000 as an example of an invalid URL

Actual results:
Could not update the proxy

Expected results:
Updated with errors getting proxy features

Additional info:

Comment 2 John Mitsch 2017-01-20 18:42:55 UTC
Created redmine issue http://projects.theforeman.org/issues/18186 from this bug

Comment 3 Bryan Kearney 2018-09-04 17:43:46 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.